/**
 * Created on 2007-11-30
 * 
 * Copyright (c) Sybase, Inc. 2004-2007. All rights reserved.
 */
package org.eclipse.datatools.enablement.sybase.ui;

/**
 * 
 * @author Cong Chen
 */
import org.eclipse.datatools.enablement.sybase.Activator;

public class SybaseDatabaseProfileSetting
{
    private String  databaseProfileId;
    private boolean isShowSchema;
    private boolean isShowOwner;

    private SybaseDatabaseProfileSetting(String profileId)
    {
        this.databaseProfileId = profileId;
        this.isShowSchema = Activator.getDefault().getPreferenceStore().getBoolean(
                SybaseDatabaseProfileSettingManager.PREFERENCE_SHOW_SCHEMA);
        this.isShowOwner = Activator.getDefault().getPreferenceStore().getBoolean(
                SybaseDatabaseProfileSettingManager.PREFERENCE_SHOW_OWNER);
    }

    public static final SybaseDatabaseProfileSetting newInstance(String profileId)
    {
        return new SybaseDatabaseProfileSetting(profileId);
    }

    public String getDatabaseProfileId()
    {
        return databaseProfileId;
    }

    public void setDatabaseProfileId(String databaseProfileId)
    {
        this.databaseProfileId = databaseProfileId;
    }

    public boolean isShowSchema()
    {
        return isShowSchema;
    }

    public void setShowSchema(boolean isShowSchema)
    {
        this.isShowSchema = isShowSchema;
    }

    public boolean isShowOwner()
    {
        return isShowOwner;
    }

    public void setShowOwner(boolean isShowOwner)
    {
        this.isShowOwner = isShowOwner;
    }

}
