/**
 * Created on 2007-11-30
 * 
 * Copyright (c) Sybase, Inc. 2004-2007. All rights reserved.
 */
package org.eclipse.datatools.enablement.sybase.ui;

/**
 * 
 * @author Cong Chen
 */
import org.eclipse.datatools.enablement.sybase.Activator;

public class SybaseDatabaseSetting
{
    private String  databaseName;
    private String  connectionProfileId;
    private boolean isShowSchema;
    private boolean isShowOwner;

    private SybaseDatabaseSetting(String profileId, String databaseName)
    {
        this.connectionProfileId = profileId;
        this.databaseName = databaseName;
        isShowSchema = Activator.getDefault().getPreferenceStore().getBoolean(
                SybaseDatabaseProfileSettingManager.PREFERENCE_SHOW_SCHEMA);
        isShowOwner = Activator.getDefault().getPreferenceStore().getBoolean(
                SybaseDatabaseProfileSettingManager.PREFERENCE_SHOW_OWNER);
    }

    public static final SybaseDatabaseSetting newInstance(String profileId, String databaseName)
    {
        return new SybaseDatabaseSetting(profileId, databaseName);
    }

    public String getDatabaseName()
    {
        return databaseName;
    }

    public void setDatabaseName(String databaseName)
    {
        this.databaseName = databaseName;
    }

    public String getConnectionProfileId()
    {
        return connectionProfileId;
    }

    public void setConnectionProfileId(String connectionProfileId)
    {
        this.connectionProfileId = connectionProfileId;
    }

    public boolean isShowSchema()
    {
        return isShowSchema;
    }

    public void setShowSchema(boolean isShowSchema)
    {
        this.isShowSchema = isShowSchema;
    }

    public boolean isShowOwner()
    {
        return isShowOwner;
    }

    public void setShowOwner(boolean isShowOwner)
    {
        this.isShowOwner = isShowOwner;
    }
}
