/**
 * Created on 2007-8-15
 * 
 * Copyright (c) Sybase, Inc. 2004-2006. All rights reserved.
 */
package org.eclipse.datatools.enablement.sybase.virtual;

import org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.filter.IFilterNode;
import org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.virtual.IUDFNode;
import org.eclipse.datatools.connectivity.sqm.core.ui.explorer.providers.content.virtual.VirtualNode;
import org.eclipse.datatools.connectivity.sqm.internal.core.connection.ConnectionFilter;
import org.eclipse.datatools.connectivity.sqm.internal.core.containment.GroupID;
import org.eclipse.datatools.modelbase.sql.schema.Schema;

/**
 * @author linsong
 */
public class SybaseUDFNode extends VirtualNode implements IUDFNode, IFilterNode
{
    /**
     * @param name
     * @param displayName
     * @param parent
     */
    public SybaseUDFNode(String name, String displayName, Object parent)
    {
        super(name, displayName, parent);
    }

    public String getGroupID ()
    {
        return GroupID.FUNCTION;
    }

    public String getFilterName() {
		Schema schema = (Schema) getParent();
		if (schema.getCatalog() == null) {
			return schema.getName() + IFilterNode.SEPARATOR
					+ ConnectionFilter.USER_DEFINED_FUNCTION_FILTER;
		}
		return schema.getCatalog().getName() + IFilterNode.SEPARATOR
				+ schema.getName() + IFilterNode.SEPARATOR
				+ ConnectionFilter.USER_DEFINED_FUNCTION_FILTER;
	}
}
